| CUTLASS CUDA Templates for Linear Algebra Subroutines and Solvers

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
cutlass::reference::host::Gemm< ElementA, LayoutA, ElementB, LayoutB, ElementC, LayoutC, ScalarType, ComputeType, arch::OpMultiplyAddSaturate > Struct Template Reference

Partial specialization for multiply-add-saturate.

`#include <gemm.h>`

## Public Member Functions
void | operator() (gemm::GemmCoord problem_size, ScalarType alpha, TensorRef< ElementA, LayoutA > tensor_a, TensorRef< ElementB, LayoutB > tensor_b, ScalarType beta, TensorRef< ElementC, LayoutC > tensor_c, ComputeType initial_accum=ComputeType(0))
void | operator() (gemm::GemmCoord problem_size, ScalarType alpha, TensorRef< ElementA, LayoutA > tensor_a, TensorRef< ElementB, LayoutB > tensor_b, ScalarType beta, TensorRef< ElementC, LayoutC > tensor_c, TensorRef< ElementC, LayoutC > tensor_d, ComputeType initial_accum=ComputeType(0))

## Member Function Documentation

template<typename ElementA , typename LayoutA , typename ElementB , typename LayoutB , typename ElementC , typename LayoutC , typename ScalarType , typename ComputeType >

void cutlass::reference::host::Gemm< ElementA, LayoutA, ElementB, LayoutB, ElementC, LayoutC, ScalarType, ComputeType, arch::OpMultiplyAddSaturate >::operator() | ( | gemm::GemmCoord | problem_size,
|  | ScalarType | alpha,
|  | TensorRef< ElementA, LayoutA > | tensor_a,
|  | TensorRef< ElementB, LayoutB > | tensor_b,
|  | ScalarType | beta,
|  | TensorRef< ElementC, LayoutC > | tensor_c,
|  | ComputeType | initial_accum = `ComputeType(0)`
| ) |  |
| inline

template<typename ElementA , typename LayoutA , typename ElementB , typename LayoutB , typename ElementC , typename LayoutC , typename ScalarType , typename ComputeType >

void cutlass::reference::host::Gemm< ElementA, LayoutA, ElementB, LayoutB, ElementC, LayoutC, ScalarType, ComputeType, arch::OpMultiplyAddSaturate >::operator() | ( | gemm::GemmCoord | problem_size,
|  | ScalarType | alpha,
|  | TensorRef< ElementA, LayoutA > | tensor_a,
|  | TensorRef< ElementB, LayoutB > | tensor_b,
|  | ScalarType | beta,
|  | TensorRef< ElementC, LayoutC > | tensor_c,
|  | TensorRef< ElementC, LayoutC > | tensor_d,
|  | ComputeType | initial_accum = `ComputeType(0)`
| ) |  |
| inline

The documentation for this struct was generated from the following file:

- tools/util/include/cutlass/util/reference/host/gemm.h